{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in

mkIf profiles.isDesktop {

  # Paquets
  environment.systemPackages = with pkgs; [
    # Bureautique
    aspell aspellDicts.fr # correction d'ortographe
    gnumeric      # tableur
    #kde4.ksnapshot# réalisation de capture d'écran

    # Gestion de tâche
    taskwarrior     # gestionnaire de tâches en console

    ## Cartes mentales
    freemind

    ## Diagrammes & Schémas
    dia           # dessin & schéma technique

    ## Editeur de texte
    #lyx          # surcouche WISIWIM à LaTeX
    #focuswriter  # outil pour l'écriture
    textadept     # un éditeur de texte facile pour copier-coller graphique
    #zim          # outil de prise de notes, wiki de bureau

    ## Visionneuse
    #kde5.okular   # pdf
    mcomix        # livres (cbr, liste d'images), gestion d'une bibliothèque
    pdfpc         # pdf
    qpdfview      # pdf
    gqview        # visionneuse image & gestion basique de collection

    ## Convertisseurs (texte -> <autre format>)
    gnuplot       # générateur de graphes à partir de données numériques
    graphviz      # dot, neato : traçage de graphes (carré, rond)
    #jekyll       # générateur statique de site web
    #odpdown      # conversion md -> presentation ODP : https://github.com/thorstenb/odpdown
    pandoc
    haskellPackages.pandoc-citeproc
    texlive.combined.scheme-full # distribution LaTeX
    #texLive       # distribution LaTeX de base
    #texLiveBeamer # paquets et extensions pour Beamer
    #texLiveModerncv # paquets pour la classe Modern CV
  ];
}
